#ifndef DEFAULTAPPUI_H
#define DEFAULTAPPUI_H

#include <QObject>
#include <QWidget>

#include "shell/interface.h"
#include "fixlabel.h"
#include "titlelabel.h"
#include "mthread.h"
#include "comboxwidget.h"
#include "settinggroup.h"
#include "pushbuttonwidget.h"

class DefaultAppUi : public QWidget
{
    Q_OBJECT
public:
    explicit DefaultAppUi(QWidget *parent = nullptr);
    void initUi();

    ComboxWidget *getBrowserWidget()
    {
        return mBrowserFrame;
    }
    ComboxWidget *getMailWidget()
    {
        return mMailFrame;
    }
    ComboxWidget *getImageWidget()
    {
        return mImageFrame;
    }
    ComboxWidget *getAudioWidget()
    {
        return mAudioFrame;
    }
    ComboxWidget *getVideoWidget()
    {
        return mVideoFrame;
    }
    ComboxWidget *getTextWidget()
    {
        return mTextFrame;
    }
    PushButtonWidget *getResetWidget()
    {
        return mResetFrame;
    }

private:
    ComboxWidget *mBrowserFrame = nullptr;
    ComboxWidget *mMailFrame = nullptr;
    ComboxWidget *mImageFrame = nullptr;
    ComboxWidget *mAudioFrame = nullptr;
    ComboxWidget *mVideoFrame = nullptr;
    ComboxWidget *mTextFrame = nullptr;
    PushButtonWidget *mResetFrame = nullptr;

signals:

};

#endif // DEFAULTAPPUI_H
